/// <reference types="react" />
import './style/floatingMultipleSelectField.style.css';
export type MultipleSelectFieldProps = {
    control: any;
    controller: any;
    customReactSelectProps?: {};
    defaultValue?: SelectOptionType[];
    formControlProps?: {};
    isMulti?: boolean;
    selectLabel: string;
    selectName: string;
    selectOptions: SelectOptionType[];
    validationErrorMessage?: string;
    validationMessageClasses?: string;
    value?: any;
};
export type SelectOptionType = {
    label: string;
    value: string;
};
export declare const FloatingMultipleSelectField: (props: MultipleSelectFieldProps) => JSX.Element;
